# Passenger::ScalarMessage Class Reference

Class for reading a scalar message. More...

`#include <MessageReadersWriters.h>`

List of all members.

## Public Member Functions
void | reset (bool zeroBuffer=false)
| Resets the internal state so that this object can be used for processing another scalar message.

## Detailed Description

Class for reading a scalar message.

## Member Function Documentation

void Passenger::ScalarMessage::reset | ( | bool | zeroBuffer = `false` | ) | `[inline]`

Resets the internal state so that this object can be used for processing another scalar message.

If zeroBuffer is true, then the contents of the internal buffer will be securely filled with zeroes. This is useful if e.g. the buffer might contain sensitive password data.

The documentation for this class was generated from the following file:

- MessageReadersWriters.h